[Song]
name = Whistle Bait
artist = The Collins Kids
album = Presenting the Collins Kids
genre = Rockabilly
year = 1956
song_length = 96779
charter = <color=#8200f3>SirMonkfish</color>
diff_guitar = 1
preview_start_time = 11020
icon = csc
album_track = 4
loading_phrase = The Collins Kids were a sibling rockabilly duo that generated hit-after-hit in the mid to late 1950s and made frequent appearences on country hall of famer Tex Ritter's variety shows. <br>"Whistle Bait," according to definitions.net, is defined as "1950s era slang for an attractive woman."

